# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kubelink/version'

Gem::Specification.new do |s|
  s.name       = 'kubelink'
  s.version    = Kubelink::VERSION
  s.author     = 'Martino di Filippo'
  s.email      = 'difilippo@shaman.xyz'
  s.homepage   = 'https://git.shaman.xyz/shaman/kubelink'
  s.summary    = 'Integrate a Rails app with our Kubernetes environment'
  s.license    = 'MIT'
  s.metadata   = {
    'source_code_uri' => 'https://git.shaman.xyz/shaman/kubelink/tree/master'
  }

  s.required_ruby_version = '>= 2.3.0'

  s.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_dependency 'activesupport', '>= 5.1', '< 7'
  s.add_dependency 'lograge', '~> 0.11.2'
  s.add_dependency 'prometheus_exporter', '~> 0.7.0'
  s.add_dependency 'rails', '>= 5.1', '< 7'
  s.add_dependency 'sentry-rails', '~> 4.5.1'
  s.add_dependency 'sentry-ruby', '~> 4.5.1'

  s.add_development_dependency 'bundler', '~> 2.2'
  s.add_development_dependency 'rake', '~> 12.3'
end
